﻿@model  Select2RepresentantesViewModel

<div class="@(Model.clasColInput != null ? Model.clasColInput : "col-md-2")" style="@Model.margintopInput">
    <label for="input-text-1">
        <strong class="strong-min-tgv">Matrícula:</strong>
    </label>
    <div class="mdl-textfield mdl-js-textfield">
        <input class="mdl-textfield__input numerico select2rep" id="@Model.idControleInput" type="text" maximo="8">
        <label class="mdl-textfield__label" for="@Model.idControleInput"></label>
    </div>
    @*<input id="@Model.idControleInput" type="text" class="form-control numeric" maxlength="8">*@
</div>
<div class="@(Model.clasColSelect != null ? Model.clasColSelect : "col-md-4")" style="@Model.margintopSel">
    <label for="input-text-1">
        <strong class="strong-min-tgv">Nome:</strong>
    </label>
    <div id="@string.Concat(Model.idControleSelect2, "Container")"></div>
</div>

<script type="text/javascript">
    $(function () {
        with (new ComponenteSelect2()) {
            with (modelo) {
                ajaxPostApiURL = '@Url.Content("~/api/Select2Representantes/ObterDescricoesRepresentantes")';
                idContainerControle = '@string.Concat(Model.idControleSelect2, "Container")';
                idControle = '@Model.idControleSelect2';
                ajaxIdCampoPesquisaAPI = "NOMREP";
                textoInicial = "Selecione um Representante";
                jsonTexto = "NOMREP";
                jsonValor = "CODREP";
                caracteresMinimos = 3;
            }
            inicializar(null);
        }

        $("#@Model.idControleInput").change(function () {
            if ($(this).val().length > 0) {
                //
                with (new ComponenteAJAXFactory()) {
                    with (modelo) {
                        ajaxSuccessCallbackMethod = function (data) {
                            var bEach = false;
                            $(data).each(function (idx, dat) {
                                bEach = true;
                                $("#@Model.idControleSelect2").select2("trigger", "select", {
                                    data: { id: dat.CODREP, text: dat.NOMREP }
                                });
                                return;
                            });
                            if (!bEach) {
                                swal('Verificar!', 'Representante não encontrado!');
                                setCustomIcon('fa fa-window-close');
                                $("#@Model.idControleInput").val('');
                                $("#@Model.idControleSelect2").empty().change();
                            }
                        };
                        ajaxURL = '@Url.Content("~/api/Select2Representantes/ObterCodigosRepresentantes")';
                        async = true;
                        with (addidsEnviarRequisicaoAjax) { idJsonEnviar = "@Model.idControleInput", nomeJsonEnviar = "CODREP", tipoJsonEnviar = 'tipoNumerico' };
                    }
                    inicializar(null);
                }
            }
        });
    });

</script>